Subject: bug#11230: 24.1.50; VC doesn't handle internal errors?

From: Deniz Dogan <[email-masked]>
Date: Thu, 12 Apr 2012 21:03:10 +0200

On 2012-04-12 21:00, Glenn Morris wrote:
>
> Maybe Emacs should test that the option works, not just that it is
> present. I don't know; it's a slightly more expensive test. (Make a temp
> repo, check status, delete it.)

I am not that familiar with VC or Bazaar, but is it really necessary to 
do all of that?  Couldn't we simply check the return code from every 
Bazaar command and act depending on the result of that?  Maybe it's 
simpler said than done...